/**CHeaderFile*****************************************************************

  FileName    [formInt.h]

  Package     [form]

  Author      [Stefano Tonetta]

  Copyright   [This file is part of MoDeLLa.
  Copyright (C) 2003-2006 by Stefano Tonetta and Roberto Sebastiani.]

  Version     [1.5.9]

******************************************************************************/

#ifndef FORM_INT_H
#define FORM_INT_H

#include "struct.h"
#include "form.h"

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/
/* the list of formulas */
list *formulas;
/* size of ids */
size_t id_size; 

/*---------------------------------------------------------------------------*/
/* Macro declarations                                                        */
/*---------------------------------------------------------------------------*/
/* IS_ID_INIT is true if the id variables have been initialized */
#define ID_IS_INIT ( id_size != 0 )

/*---------------------------------------------------------------------------*/
/* Functions prototypes                                                      */
/*---------------------------------------------------------------------------*/
void new_id(form*);
idtype idnot(idtype);
idtype idand(idtype,idtype);
idtype idor(idtype,idtype);

void creaid(form*);

#endif

