/**CHeaderFile*****************************************************************

  FileName    [modella.h]

  Package     [main]

  Author      [Stefano Tonetta]

  Copyright   [This file is part of MoDeLLa.
  Copyright (C) 2003-2006 by Stefano Tonetta and Roberto Sebastiani.]

  Version     [1.5.9]

******************************************************************************/

#ifndef MODELLA_H
#define MODELLA_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "form.h"
#include "tree.h"
#include "utils.h"

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/
tree *parsing_tree;
int fair_number;
fair** faircond;

// main's parameters
int verbosity;
int rewrules;
int optim;
enum {lbtt,spin,nusmv} syntax;
int weak;


#endif
