/**CHeaderFile*****************************************************************

  FileName    [prop.h]

  Package     [prop]

  Author      [Stefano Tonetta]

  Copyright   [This file is part of MoDeLLa.
  Copyright (C) 2003-2006 by Stefano Tonetta and Roberto Sebastiani.]

  Version     [1.5.9]

******************************************************************************/

#ifndef PROP_H
#define PROP_H

#include "tree.h"

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/
/* number of propositional atoms occurring in the formula */
int prop_number; 
/* props stores the formulas considered as propositions */
tree **props;

/*---------------------------------------------------------------------------*/
/* Functions prototypes                                                      */
/*---------------------------------------------------------------------------*/
void initialize_prop();

#endif
