/**CHeaderFile*****************************************************************

  FileName    [utils.h]

  Package     [utils]

  Author      [Stefano Tonetta]

  Copyright   [This file is part of MoDeLLa.
  Copyright (C) 2003-2006 by Stefano Tonetta and Roberto Sebastiani.]

  Version     [1.5.9]

******************************************************************************/

#ifndef UTILS_H
#define UTILS_H

#include <assert.h>

/*---------------------------------------------------------------------------*/
/* Macro definitions                                                         */
/*---------------------------------------------------------------------------*/
#define modella_assert(expr) \
 assert(expr)

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/
void fatal_error(char *message);
void* mymalloc(size_t);
void myfree(void*);
size_t modella_pow2(size_t x);
unsigned int modella_log2(unsigned int);

#endif
