#ifndef lint
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.28 2000/01/17 02:04:06 bde Exp $";
#endif
#include <stdlib.h>
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
static int yygrowstack();
#define YYPREFIX "yy"
#line 2 "parser/modella.y"
/**YaccFile********************************************************************

  FileName    [modella.y]

  Package     []

  Synopsis    [Yacc input for MoDeLLa input language parser.]

  SeeAlso     [modella.lex]

  Author      [Stefano Tonetta]

  Copyright   [This file is part of MoDeLLa.
  Copyright (C) 2003-2006 by Stefano Tonetta and Roberto Sebastiani.]

  Version     [1.5.9]

******************************************************************************/

#include"tree.h"
#include"main.h"

  int yylex();
  int yyerror(char *s);

  char* getname(tree* t);

#line 32 "parser/modella.y"
typedef union{ 
  char* prop;
  struct tree* formula; 
} YYSTYPE;
#line 50 "parser/modella.y.tab.c"
#define YYERRCODE 256
#define UNTIL 257
#define RELEASE 258
#define FUTURE 259
#define GLOBALLY 260
#define IMPLY 261
#define EQUIV 262
#define OR 263
#define XOR 264
#define AND 265
#define NOT 266
#define NEXT 267
#define IN 268
#define UNION 269
#define NE 270
#define LE 271
#define GE 272
#define MOD 273
#define FALSE 274
#define TRUE 275
#define SFALSE 276
#define STRUE 277
#define NTRUE 278
#define NFALSE 279
#define ATOM 280
#define LBTT 281
#define SPIN 282
#define NUSMV 283
const short yylhs[] = {                                        -1,
    0,    0,    0,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    2,    2,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    4,    4,
};
const short yylen[] = {                                         2,
    2,    2,    2,    3,    3,    3,    3,    2,    2,    2,
    1,    1,    2,    1,    3,    3,    3,    3,    3,    3,
    2,    2,    1,    1,    2,    2,    3,    1,    3,    3,
    3,    3,    3,    3,    2,    2,    1,    1,    2,    2,
    3,    1,    3,    3,    3,    3,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    1,    3,
};
const short yydefred[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   11,   12,   14,    1,    0,    0,    0,    0,
   23,   24,    0,   28,    0,    0,    0,    0,    0,   37,
   38,    0,   42,    0,    0,    0,    0,    8,    9,    0,
    0,   13,   10,    0,    0,   26,   25,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    6,    7,    5,    4,   27,    0,    0,    0,    0,    0,
   15,   41,    0,   54,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   51,   52,   58,
};
const short yydgoto[] = {                                       4,
   16,   25,   60,   61,
};
const short yysindex[] = {                                   -243,
  527,  318,  281,    0,  527,  527,  527,  527,  527,  527,
  527,  527,    0,    0,    0,    0,  318,  318,  318,  318,
    0,    0,  318,    0, -249,  281,  281,  281,  281,    0,
    0,  281,    0,  281,  489,  527,  527,    0,    0,  527,
  527,    0,    0, -228, -228,    0,    0,  -21,  318,  318,
  318,  318,  318,  318,  552,  552,  603,  603,  443,  464,
 -125,  281,  281,  281,  281,  281,  281,  281,  281,  281,
  281,  281,  281,  281,  281,  281,  281,  281,  281,  281,
    0,    0,    0,    0,    0, -228, -228, -248, -248, -261,
    0,    0,  281,    0,  552,  552,  576,  576,  597,  603,
  609,  721,  -40,  -40,  -40,  -40,  -40,  -40,  -18,  -36,
  -36,    0,    0,    0,
};
const short yyrindex[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   18,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   21,    0,    0,    0,    0,    0,
    0,    0,    0,   19,   49,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   10,   32,  256,  301,    0, -103,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   65,   78,   41,  178,  132,
    0,    0,    0,    0,   71,  188,  373,  418,  347,  325,
  234,  208,   69,   92,  114,  140,  162,  186,   47,    1,
   23,    0,    0,    0,
};
const short yygindex[] = {                                      0,
  683,  722,  824,  -67,
};
#define YYTABLESIZE 994
const short yytable[] = {                                      94,
   49,   79,   77,   54,   78,   79,   80,   49,   50,   35,
   80,   51,   52,   53,   53,   54,   54,    2,   21,   85,
    3,   57,   50,   79,   77,  114,   78,    0,   80,    0,
    0,   36,   51,   52,   53,    0,   54,    1,    2,    3,
   19,   49,    0,   49,   49,   49,   53,    0,   22,    0,
   35,    0,    0,   35,    0,    0,    0,    0,    0,   21,
   49,   49,   49,   50,   17,   50,   50,   50,   43,    0,
   31,    0,   36,    0,    0,   36,    0,   18,    0,    0,
    0,   19,   50,   50,   50,    0,    0,   53,    0,   22,
   53,   44,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   17,   53,   53,   53,   43,
    0,   31,   43,   45,   31,    0,    0,    0,   18,    0,
    0,    0,    0,    0,    0,   49,    0,    0,   43,   43,
   43,   16,   44,    0,   35,   44,    0,    0,    0,   46,
    0,    0,    0,    0,    0,    0,    0,   50,    0,    0,
    0,   44,   44,   44,   45,    0,   36,   45,    0,    0,
    0,   47,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   53,   16,   45,   45,   45,    0,   20,    0,    0,
   46,    0,    0,   46,    0,   48,    0,   32,    0,    0,
    0,    0,    0,   43,    0,   31,    0,    0,    0,   46,
   46,   46,   47,    0,    0,   47,    0,   56,    0,    0,
    0,    0,    0,    0,    0,    0,   44,    0,   20,    0,
    0,   47,   47,   47,    0,    0,   48,    0,   32,   48,
    0,   32,   76,   55,    0,   49,   50,    0,   45,   51,
   52,   53,    0,   54,    0,   48,   48,   48,   56,    0,
    0,   56,    0,    0,    0,   40,    0,   49,   49,    0,
    0,   49,   49,   49,   46,   49,   35,   35,   49,   49,
   49,   49,   49,   49,   55,   21,   21,   55,    0,   50,
   50,    0,    0,   50,   50,   50,   47,   50,   36,   36,
   50,   50,   50,   50,   50,   50,   40,   19,   19,   40,
   39,   19,   19,   53,   53,   22,   22,   53,   53,   53,
   48,   53,   32,    0,   53,   53,   53,   53,   53,   53,
   32,   17,   17,    0,   29,   43,   43,   31,   31,   43,
   43,   43,   56,   43,   18,   18,   43,   43,   43,   43,
   43,   39,    0,    0,   39,    0,   30,    0,   44,   44,
    0,    0,   44,   44,   44,    0,   44,   23,   55,   44,
   44,   44,   44,   44,    0,   29,    0,    0,   29,    0,
   45,   45,   33,    0,   45,   45,   45,    0,   45,    0,
   40,   45,   45,   45,   45,   45,    0,   30,   16,   16,
   30,    0,   16,   16,   16,    0,   46,   46,    0,    0,
   46,   46,   46,   34,   46,    0,    0,   46,   46,   46,
   46,   46,    0,   33,    0,    0,   33,   34,   47,   47,
    0,    0,   47,   47,   47,   39,   47,    0,    0,   47,
   47,   47,   47,   47,   20,   20,    0,    0,   20,   20,
    0,    0,   48,   48,   32,   32,   48,   48,   48,   29,
   48,    0,    0,   48,   48,   48,   48,   48,   34,    0,
    0,   34,    0,    0,   56,   56,    0,    0,   56,   56,
   56,   30,   56,    0,    0,   56,   56,    0,    0,    0,
    0,    0,    0,   92,   79,   77,    0,   78,    0,   80,
   55,   55,    0,    0,   55,   55,   55,   33,   55,    0,
    0,   55,   72,   70,   73,   79,   77,   93,   78,    0,
   80,    0,   40,   40,    0,    0,   40,   40,   40,    0,
   40,    0,    0,   72,   70,   73,    0,    0,    0,    0,
   79,   77,    0,   78,    0,   80,    0,    0,    0,   26,
   27,    0,   34,    0,    0,    0,   28,   29,   72,   70,
   73,    0,    0,    0,   30,   31,    0,   39,   39,    0,
   33,   39,   39,   39,    0,   39,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   17,   18,    0,    0,
    0,   29,   29,   19,   20,   29,   29,   29,    0,   29,
    0,   21,   22,   79,   77,    0,   78,   24,   80,    0,
    0,    0,    0,   30,   30,    0,    0,   30,   30,   30,
    0,   72,   70,   73,    0,    0,    0,   79,   77,    0,
   78,    0,   80,    0,    0,    0,    0,    0,    0,   33,
   33,    0,    0,   33,   33,   72,   70,   73,   79,   77,
    0,   78,    0,   80,   79,   77,    0,   78,    0,   80,
   79,   77,    0,   78,    0,   80,   72,   70,   73,    0,
    0,    0,   72,   70,   73,    0,    0,    0,   72,   70,
   73,    0,    0,    0,   34,   34,    0,    0,   34,   34,
    0,    0,    0,    0,    0,    0,    0,   36,   37,   38,
   39,   40,   41,   42,   43,    0,    0,    0,    0,   62,
   63,    0,    0,   64,   65,   66,    0,   67,    0,    0,
   68,   69,   71,   74,   75,   76,    0,    0,   81,   82,
   62,   63,   83,   84,   64,   65,   66,    0,   67,    0,
    0,   68,   69,   71,   74,   75,   76,    0,   44,   45,
   46,   47,    0,    0,   48,   62,   63,    0,    0,   64,
   65,   66,    0,   67,    0,    0,   68,   69,   71,   74,
   75,   76,   79,   77,    0,   78,    0,   80,    0,    0,
   86,   87,   88,   89,   90,   91,    0,    0,    0,    0,
   72,   70,   73,    5,    6,    7,    8,    0,    0,    9,
    0,   10,   11,   12,    0,    0,    0,    0,    0,    0,
   13,   14,    0,    0,    0,    0,   15,    0,    0,    0,
    0,    0,   64,   65,   66,    0,   67,    0,    0,   68,
   69,   71,   74,   75,   76,    0,   35,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   66,    0,
   67,    0,    0,   68,   69,   71,   74,   75,   76,   55,
   56,   57,   58,    0,    0,   59,    0,    0,    0,    0,
    0,   67,    0,    0,   68,   69,   71,   74,   75,   76,
   68,   69,   71,   74,   75,   76,    0,   69,   71,   74,
   75,   76,    0,    0,    0,   95,   96,   97,   98,   99,
  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,
  110,  111,  112,  113,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   71,   74,   75,   76,
};
const short yycheck[] = {                                     125,
    0,   42,   43,  265,   45,   42,   47,  257,  258,    0,
   47,  261,  262,  263,  263,  265,  265,    0,    0,   41,
    0,  125,    0,   42,   43,   93,   45,   -1,   47,   -1,
   -1,    0,  261,  262,  263,   -1,  265,  281,  282,  283,
    0,   41,   -1,   43,   44,   45,    0,   -1,    0,   -1,
   41,   -1,   -1,   44,   -1,   -1,   -1,   -1,   -1,   41,
   60,   61,   62,   41,    0,   43,   44,   45,    0,   -1,
    0,   -1,   41,   -1,   -1,   44,   -1,    0,   -1,   -1,
   -1,   41,   60,   61,   62,   -1,   -1,   41,   -1,   41,
   44,    0,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   41,   60,   61,   62,   41,
   -1,   41,   44,    0,   44,   -1,   -1,   -1,   41,   -1,
   -1,   -1,   -1,   -1,   -1,  125,   -1,   -1,   60,   61,
   62,    0,   41,   -1,  125,   44,   -1,   -1,   -1,    0,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  125,   -1,   -1,
   -1,   60,   61,   62,   41,   -1,  125,   44,   -1,   -1,
   -1,    0,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  125,   41,   60,   61,   62,   -1,    0,   -1,   -1,
   41,   -1,   -1,   44,   -1,    0,   -1,    0,   -1,   -1,
   -1,   -1,   -1,  125,   -1,  125,   -1,   -1,   -1,   60,
   61,   62,   41,   -1,   -1,   44,   -1,    0,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  125,   -1,   41,   -1,
   -1,   60,   61,   62,   -1,   -1,   41,   -1,   41,   44,
   -1,   44,  273,    0,   -1,  257,  258,   -1,  125,  261,
  262,  263,   -1,  265,   -1,   60,   61,   62,   41,   -1,
   -1,   44,   -1,   -1,   -1,    0,   -1,  257,  258,   -1,
   -1,  261,  262,  263,  125,  265,  257,  258,  268,  269,
  270,  271,  272,  273,   41,  257,  258,   44,   -1,  257,
  258,   -1,   -1,  261,  262,  263,  125,  265,  257,  258,
  268,  269,  270,  271,  272,  273,   41,  257,  258,   44,
    0,  261,  262,  257,  258,  257,  258,  261,  262,  263,
  125,  265,  125,   -1,  268,  269,  270,  271,  272,  273,
   40,  257,  258,   -1,    0,  257,  258,  257,  258,  261,
  262,  263,  125,  265,  257,  258,  268,  269,  270,  271,
  272,   41,   -1,   -1,   44,   -1,    0,   -1,  257,  258,
   -1,   -1,  261,  262,  263,   -1,  265,   40,  125,  268,
  269,  270,  271,  272,   -1,   41,   -1,   -1,   44,   -1,
  257,  258,    0,   -1,  261,  262,  263,   -1,  265,   -1,
  125,  268,  269,  270,  271,  272,   -1,   41,  257,  258,
   44,   -1,  261,  262,  263,   -1,  257,  258,   -1,   -1,
  261,  262,  263,  123,  265,   -1,   -1,  268,  269,  270,
  271,  272,   -1,   41,   -1,   -1,   44,    0,  257,  258,
   -1,   -1,  261,  262,  263,  125,  265,   -1,   -1,  268,
  269,  270,  271,  272,  257,  258,   -1,   -1,  261,  262,
   -1,   -1,  257,  258,  257,  258,  261,  262,  263,  125,
  265,   -1,   -1,  268,  269,  270,  271,  272,   41,   -1,
   -1,   44,   -1,   -1,  257,  258,   -1,   -1,  261,  262,
  263,  125,  265,   -1,   -1,  268,  269,   -1,   -1,   -1,
   -1,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
  257,  258,   -1,   -1,  261,  262,  263,  125,  265,   -1,
   -1,  268,   60,   61,   62,   42,   43,   44,   45,   -1,
   47,   -1,  257,  258,   -1,   -1,  261,  262,  263,   -1,
  265,   -1,   -1,   60,   61,   62,   -1,   -1,   -1,   -1,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,  259,
  260,   -1,  125,   -1,   -1,   -1,  266,  267,   60,   61,
   62,   -1,   -1,   -1,  274,  275,   -1,  257,  258,   -1,
  280,  261,  262,  263,   -1,  265,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  259,  260,   -1,   -1,
   -1,  257,  258,  266,  267,  261,  262,  263,   -1,  265,
   -1,  274,  275,   42,   43,   -1,   45,  280,   47,   -1,
   -1,   -1,   -1,  257,  258,   -1,   -1,  261,  262,  263,
   -1,   60,   61,   62,   -1,   -1,   -1,   42,   43,   -1,
   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   -1,  257,
  258,   -1,   -1,  261,  262,   60,   61,   62,   42,   43,
   -1,   45,   -1,   47,   42,   43,   -1,   45,   -1,   47,
   42,   43,   -1,   45,   -1,   47,   60,   61,   62,   -1,
   -1,   -1,   60,   61,   62,   -1,   -1,   -1,   60,   61,
   62,   -1,   -1,   -1,  257,  258,   -1,   -1,  261,  262,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,    5,    6,    7,
    8,    9,   10,   11,   12,   -1,   -1,   -1,   -1,  257,
  258,   -1,   -1,  261,  262,  263,   -1,  265,   -1,   -1,
  268,  269,  270,  271,  272,  273,   -1,   -1,   36,   37,
  257,  258,   40,   41,  261,  262,  263,   -1,  265,   -1,
   -1,  268,  269,  270,  271,  272,  273,   -1,   17,   18,
   19,   20,   -1,   -1,   23,  257,  258,   -1,   -1,  261,
  262,  263,   -1,  265,   -1,   -1,  268,  269,  270,  271,
  272,  273,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   49,   50,   51,   52,   53,   54,   -1,   -1,   -1,   -1,
   60,   61,   62,  257,  258,  259,  260,   -1,   -1,  263,
   -1,  265,  266,  267,   -1,   -1,   -1,   -1,   -1,   -1,
  274,  275,   -1,   -1,   -1,   -1,  280,   -1,   -1,   -1,
   -1,   -1,  261,  262,  263,   -1,  265,   -1,   -1,  268,
  269,  270,  271,  272,  273,   -1,    3,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  263,   -1,
  265,   -1,   -1,  268,  269,  270,  271,  272,  273,   26,
   27,   28,   29,   -1,   -1,   32,   -1,   -1,   -1,   -1,
   -1,  265,   -1,   -1,  268,  269,  270,  271,  272,  273,
  268,  269,  270,  271,  272,  273,   -1,  269,  270,  271,
  272,  273,   -1,   -1,   -1,   62,   63,   64,   65,   66,
   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,
   77,   78,   79,   80,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  270,  271,  272,  273,
};
#define YYFINAL 4
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 283
#if YYDEBUG
const char * const yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,"'('","')'","'*'","'+'","','","'-'",0,"'/'",0,0,0,0,0,0,0,0,0,0,0,0,
"'<'","'='","'>'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"'{'",0,"'}'",0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,"UNTIL","RELEASE","FUTURE","GLOBALLY","IMPLY","EQUIV","OR","XOR",
"AND","NOT","NEXT","IN","UNION","NE","LE","GE","MOD","FALSE","TRUE","SFALSE",
"STRUE","NTRUE","NFALSE","ATOM","LBTT","SPIN","NUSMV",
};
const char * const yyrule[] = {
"$accept : ROOT",
"ROOT : LBTT Lbtt_Form",
"ROOT : SPIN Spin_Form",
"ROOT : NUSMV NuSMV_Form",
"Lbtt_Form : AND Lbtt_Form Lbtt_Form",
"Lbtt_Form : OR Lbtt_Form Lbtt_Form",
"Lbtt_Form : UNTIL Lbtt_Form Lbtt_Form",
"Lbtt_Form : RELEASE Lbtt_Form Lbtt_Form",
"Lbtt_Form : FUTURE Lbtt_Form",
"Lbtt_Form : GLOBALLY Lbtt_Form",
"Lbtt_Form : NEXT Lbtt_Form",
"Lbtt_Form : FALSE",
"Lbtt_Form : TRUE",
"Lbtt_Form : NOT Lbtt_Form",
"Lbtt_Form : ATOM",
"Spin_Form : Spin_Form AND Spin_Form",
"Spin_Form : Spin_Form OR Spin_Form",
"Spin_Form : Spin_Form UNTIL Spin_Form",
"Spin_Form : Spin_Form RELEASE Spin_Form",
"Spin_Form : Spin_Form IMPLY Spin_Form",
"Spin_Form : Spin_Form EQUIV Spin_Form",
"Spin_Form : FUTURE Spin_Form",
"Spin_Form : GLOBALLY Spin_Form",
"Spin_Form : FALSE",
"Spin_Form : TRUE",
"Spin_Form : NEXT Spin_Form",
"Spin_Form : NOT Spin_Form",
"Spin_Form : '(' Spin_Form ')'",
"Spin_Form : ATOM",
"NuSMV_Form : NuSMV_Form AND NuSMV_Form",
"NuSMV_Form : NuSMV_Form OR NuSMV_Form",
"NuSMV_Form : NuSMV_Form UNTIL NuSMV_Form",
"NuSMV_Form : NuSMV_Form RELEASE NuSMV_Form",
"NuSMV_Form : NuSMV_Form IMPLY NuSMV_Form",
"NuSMV_Form : NuSMV_Form EQUIV NuSMV_Form",
"NuSMV_Form : FUTURE NuSMV_Form",
"NuSMV_Form : GLOBALLY NuSMV_Form",
"NuSMV_Form : FALSE",
"NuSMV_Form : TRUE",
"NuSMV_Form : NEXT NuSMV_Form",
"NuSMV_Form : NOT NuSMV_Form",
"NuSMV_Form : '(' NuSMV_Form ')'",
"NuSMV_Form : ATOM",
"NuSMV_Form : NuSMV_Form '=' NuSMV_Form",
"NuSMV_Form : NuSMV_Form NE NuSMV_Form",
"NuSMV_Form : NuSMV_Form '<' NuSMV_Form",
"NuSMV_Form : NuSMV_Form '>' NuSMV_Form",
"NuSMV_Form : NuSMV_Form LE NuSMV_Form",
"NuSMV_Form : NuSMV_Form GE NuSMV_Form",
"NuSMV_Form : NuSMV_Form '+' NuSMV_Form",
"NuSMV_Form : NuSMV_Form '-' NuSMV_Form",
"NuSMV_Form : NuSMV_Form '*' NuSMV_Form",
"NuSMV_Form : NuSMV_Form '/' NuSMV_Form",
"NuSMV_Form : NuSMV_Form MOD NuSMV_Form",
"NuSMV_Form : '{' ListNuSMV_Forms '}'",
"NuSMV_Form : NuSMV_Form IN NuSMV_Form",
"NuSMV_Form : NuSMV_Form UNION NuSMV_Form",
"ListNuSMV_Forms : NuSMV_Form",
"ListNuSMV_Forms : NuSMV_Form ',' ListNuSMV_Forms",
};
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
#line 271 "parser/modella.y"

char* getname(tree* t){
  char *name;
  if(t==NULL){
    fprintf(stderr,"fatal error in getname: NULL pointer found\n");
    exit(-1);
  } else {
    switch(t->type){
    case TRUE:
      name=(char*)mymalloc(5*sizeof(char));
      sprintf(name,"TRUE");
      return name;
    case FALSE:
      name=(char*)mymalloc(6*sizeof(char));
      sprintf(name,"FALSE");
      return name;
    case ATOM:
      name=(char*)mymalloc((strlen(t->name)+1)*sizeof(char));
      sprintf(name,"%s",t->name);
      return name;
    case NOT:
      name=(char*)mymalloc((strlen(t->name)+2)*sizeof(char));
      sprintf(name,"!%s",t->left->name);
      return name;
    }
  }
  fprintf(stderr,"fatal error in getname: end reached\n");
  exit(-1);
}
    
#line 486 "parser/modella.y.tab.c"
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 61 "parser/modella.y"
{ parsing_tree=yyvsp[0].formula; }
break;
case 2:
#line 62 "parser/modella.y"
{ parsing_tree=yyvsp[0].formula; }
break;
case 3:
#line 63 "parser/modella.y"
{ parsing_tree=yyvsp[0].formula; }
break;
case 4:
#line 65 "parser/modella.y"
{ yyval.formula=new_tree(AND,0,yyvsp[-1].formula,yyvsp[0].formula); }
break;
case 5:
#line 66 "parser/modella.y"
{ yyval.formula=new_tree(OR,0,yyvsp[-1].formula,yyvsp[0].formula); }
break;
case 6:
#line 67 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,yyvsp[-1].formula,yyvsp[0].formula); }
break;
case 7:
#line 68 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,yyvsp[-1].formula,yyvsp[0].formula); }
break;
case 8:
#line 69 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,new_tree(TRUE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 9:
#line 70 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,new_tree(FALSE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 10:
#line 71 "parser/modella.y"
{ yyval.formula=new_tree(NEXT,0,yyvsp[0].formula,NULL); }
break;
case 11:
#line 72 "parser/modella.y"
{ yyval.formula=new_tree(FALSE,0,NULL,NULL); }
break;
case 12:
#line 73 "parser/modella.y"
{ yyval.formula=new_tree(TRUE,0,NULL,NULL); }
break;
case 13:
#line 74 "parser/modella.y"
{ yyval.formula=new_tree(NOT,0,yyvsp[0].formula,NULL); }
break;
case 14:
#line 75 "parser/modella.y"
{ yyval.formula=new_tree(ATOM,yyvsp[0].prop,NULL,NULL); }
break;
case 15:
#line 77 "parser/modella.y"
{ yyval.formula=new_tree(AND,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 16:
#line 78 "parser/modella.y"
{ yyval.formula=new_tree(OR,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 17:
#line 79 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 18:
#line 80 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 19:
#line 81 "parser/modella.y"
{ yyval.formula=new_tree(OR,0,new_tree(NOT,0,yyvsp[-2].formula,0),yyvsp[0].formula); }
break;
case 20:
#line 82 "parser/modella.y"
{ yyval.formula=new_tree(AND,0,new_tree(OR,0,new_tree(NOT,0,yyvsp[-2].formula,0),yyvsp[0].formula),new_tree(OR,0,new_tree(NOT,0,dup_tree(yyvsp[0].formula),0),dup_tree(yyvsp[-2].formula))); }
break;
case 21:
#line 83 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,new_tree(TRUE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 22:
#line 84 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,new_tree(FALSE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 23:
#line 85 "parser/modella.y"
{ yyval.formula=new_tree(FALSE,0,NULL,NULL); }
break;
case 24:
#line 86 "parser/modella.y"
{ yyval.formula=new_tree(TRUE,0,NULL,NULL); }
break;
case 25:
#line 87 "parser/modella.y"
{ yyval.formula=new_tree(NEXT,0,yyvsp[0].formula,NULL); }
break;
case 26:
#line 88 "parser/modella.y"
{ yyval.formula=new_tree(NOT,0,yyvsp[0].formula,NULL); }
break;
case 27:
#line 89 "parser/modella.y"
{ yyval.formula=yyvsp[-1].formula; }
break;
case 28:
#line 90 "parser/modella.y"
{ yyval.formula=new_tree(ATOM,yyvsp[0].prop,NULL,NULL); }
break;
case 29:
#line 92 "parser/modella.y"
{ yyval.formula=new_tree(AND,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 30:
#line 93 "parser/modella.y"
{ yyval.formula=new_tree(OR,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 31:
#line 94 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 32:
#line 95 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,yyvsp[-2].formula,yyvsp[0].formula); }
break;
case 33:
#line 96 "parser/modella.y"
{ yyval.formula=new_tree(OR,0,new_tree(NOT,0,yyvsp[-2].formula,0),yyvsp[0].formula); }
break;
case 34:
#line 97 "parser/modella.y"
{ yyval.formula=new_tree(AND,0,new_tree(OR,0,new_tree(NOT,0,yyvsp[-2].formula,0),yyvsp[0].formula),new_tree(OR,0,new_tree(NOT,0,dup_tree(yyvsp[0].formula),0),dup_tree(yyvsp[-2].formula))); }
break;
case 35:
#line 98 "parser/modella.y"
{ yyval.formula=new_tree(UNTIL,0,new_tree(TRUE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 36:
#line 99 "parser/modella.y"
{ yyval.formula=new_tree(RELEASE,0,new_tree(FALSE,0,NULL,NULL),yyvsp[0].formula); }
break;
case 37:
#line 100 "parser/modella.y"
{ yyval.formula=new_tree(FALSE,0,NULL,NULL); }
break;
case 38:
#line 101 "parser/modella.y"
{ yyval.formula=new_tree(TRUE,0,NULL,NULL); }
break;
case 39:
#line 102 "parser/modella.y"
{ yyval.formula=new_tree(NEXT,0,yyvsp[0].formula,NULL); }
break;
case 40:
#line 103 "parser/modella.y"
{ yyval.formula=new_tree(NOT,0,yyvsp[0].formula,NULL); }
break;
case 41:
#line 104 "parser/modella.y"
{ yyval.formula=yyvsp[-1].formula; }
break;
case 42:
#line 105 "parser/modella.y"
{ yyval.formula=new_tree(ATOM,yyvsp[0].prop,NULL,NULL); }
break;
case 43:
#line 106 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s = %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 44:
#line 117 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+9)*sizeof(char));
  sprintf(name,"( %s != %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 45:
#line 128 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s < %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 46:
#line 139 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s > %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 47:
#line 150 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+9)*sizeof(char));
  sprintf(name,"( %s <= %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 48:
#line 161 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+9)*sizeof(char));
  sprintf(name,"( %s >= %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 49:
#line 172 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s + %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 50:
#line 183 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s - %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 51:
#line 194 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s * %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 52:
#line 205 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s / %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 53:
#line 216 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+8)*sizeof(char));
  sprintf(name,"( %s mod %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 54:
#line 227 "parser/modella.y"
{ 
  char *name = (char*)mymalloc((strlen(yyvsp[-1].formula->name)+5)*sizeof(char));
  sprintf(name,"{ %s }",yyvsp[-1].formula->name);
  yyvsp[-1].formula->name=name;
  yyval.formula=yyvsp[-1].formula; 
}
break;
case 55:
#line 233 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+9)*sizeof(char));
  sprintf(name,"( %s in %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 56:
#line 244 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+12)*sizeof(char));
  sprintf(name,"( %s union %s )",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
}
break;
case 57:
#line 256 "parser/modella.y"
{ yyval.formula=yyvsp[0].formula; }
break;
case 58:
#line 257 "parser/modella.y"
{
  char *namel=getname(yyvsp[-2].formula);
  char *namer=getname(yyvsp[0].formula);
  char *name = (char*)mymalloc((strlen(namel)+strlen(namer)+2)*sizeof(char));
  sprintf(name,"%s,%s",namel,namer);
  myfree(namel);
  myfree(namer);
  delete_tree(yyvsp[-2].formula);
  delete_tree(yyvsp[0].formula);
  yyval.formula=new_tree(ATOM,name,NULL,NULL);
;
}
break;
#line 1059 "parser/modella.y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
