/*
 *  Copyright (C) 2003 2004
 *  Stefano Tonetta <stonetta@dit.unitn.it>
 *  Roberto Sebastiani <rseba@dit.unitn.it>
 *
*/
#ifndef STRUCT_H
#define STRUCT_H



typedef struct list{
  void* el;
  struct list* next;
  struct list* prev;
} list;

typedef list stack;
  
typedef struct queue{
  list* head;
  list* tail;
} queue;

list* new_list(void*,list*);
stack* new_stack();
int empty_stack(stack*);
stack* pop(void**,stack*);
stack* push(void*,stack*);
queue* new_queue();
int empty_queue(queue*);
void* dequeue(queue*);
void enqueue(void*,queue*);

#endif
